VideoHelp Forum

Our website is made possible by displaying online advertisements to our visitors. Consider supporting us by disable your adblocker or Try ConvertXtoDVD and convert all your movies to DVD. Free trial ! :)
+ Reply to Thread
Page 1 of 2
1 2 LastLast
Results 1 to 30 of 41
Thread
  1. Hello,
    I've just installed Vapoursynth and Hybrid for Mac (Mojave) to be able to use the QTGMC deinterlacer, Bob, 50fps -- which seems great -- with DV sources. I think I did everything alright; I think the .dylib files are where they should be. Hybrid does do some conversions, deinterlacing with Yadif, etc. -- but it systematically gives me an error with the l-smash and ffms2 plugins; also fmtc. Below is the type of errors it gives. However, the side-by-side preview of QTGMC in the Deinterlacer window seems to display fine, the error is in outputing to a file. I've tried playing around with the preferences in the Vapoursynth window (capture below), to no avail. Would anyone help me, please? Warning: I am not a Mac savvy ; I can install things, execute terminal commands, and edit files if instructed, but I really don't even know exactly how all these scripts and plugins work -- I am basically a GUI-user . Thank you!

    -celso

    Image
    [Attachment 48775 - Click to enlarge]

    SCRIPT:

    # Imports
    import os
    import sys
    import vapoursynth as vs
    core = vs.get_core()
    # Import scripts folder
    scriptPath = '/Applications/VÍDEO/Hybrid.app/Contents/MacOS/vsscripts'
    sys.path.append(os.path.abspath(scriptPath))
    # Import scripts
    import havsfunc
    # Loading /Users/xxxx/xxxPathHiddenxxx/1-Test.dv using LWLibavSource
    clip = core.lsmas.LWLibavSource(source="/Users/xxxx/xxxPathHiddenxxx/1-Test.dv", format="YUV420P8", cache=0)
    # making sure input color matrix is set as unspec
    clip = core.resize.Point(clip, matrix_in_s="unspec",range_s="limited")
    # making sure frame rate is set to 25/1
    clip = core.std.AssumeFPS(clip, fpsnum=25, fpsden=1)
    # Setting color range to TV (limited) range.
    clip = core.std.SetFrameProp(clip=clip, prop="_ColorRange", intval=1)
    # setting field order to what QTGMC should assume
    clip = core.std.SetFrameProp(clip=clip, prop="_FieldBased", intval=1)
    # Deinterlacing using QTGMC
    clip = havsfunc.QTGMC(Input=clip, Preset="Slow", TFF=False)
    # adjusting output color from: YUV420P8 to YUV422P10 for ProResModel (i422)
    clip = core.resize.Bicubic(clip=clip, format=vs.YUV422P10, range_s="limited")
    # Output
    clip.set_output()


    LOG:

    Failed to evaluate the script:
    Python exception: No attribute with the name lsmas exists. Did you mistype a plugin namespace?

    Traceback (most recent call last):
    File "src/cython/vapoursynth.pyx", line 1927, in vapoursynth.vpy_evaluateScript
    File "src/cython/vapoursynth.pyx", line 1928, in vapoursynth.vpy_evaluateScript
    File "/Users/xxxx/xxxPathHiddenxxx/tempPreviewVapoursynthFile16_35_23_268.vpy", line 12, in <module>
    clip = core.lsmas.LWLibavSource(source="/Users/xxxx/xxxPathHiddenxxx/1-Test.dv", format="YUV420P8", cache=0)
    File "src/cython/vapoursynth.pyx", line 1522, in vapoursynth.Core.__getattr__
    AttributeError: No attribute with the name lsmas exists. Did you mistype a plugin namespace?
    Quote Quote  
  2. AttributeError: No attribute with the name lsmas exists. Did you mistype a plugin namespace?
    seems like the plugins are not inside the Vapoursynth autoload path

    https://forum.doom9.org/showthread.php?t=175522 might help, can't really try this here since I don't own a mac anymore.
    users currently on my ignore list: deadrats, Stears555
    Quote Quote  
  3. Originally Posted by Selur View Post
    AttributeError: No attribute with the name lsmas exists. Did you mistype a plugin namespace?
    seems like the plugins are not inside the Vapoursynth autoload path

    https://forum.doom9.org/showthread.php?t=175522 might help, can't really try this here since I don't own a mac anymore.
    Thank you very much. This is where the plugins are (captures). One of the symbolic links (fmtc) is broken. Should I perhaps eliminate the symbolic links and just duplicate the plugins inside the /usr/local/lib/vapoursynth directory?

    -celso

    Image
    [Attachment 48783 - Click to enlarge]
    Image
    [Attachment 48784 - Click to enlarge]
    Image
    [Attachment 48785 - Click to enlarge]
    Image
    [Attachment 48786 - Click to enlarge]
    Image
    [Attachment 48787 - Click to enlarge]
    Image
    [Attachment 48788 - Click to enlarge]
    Image
    [Attachment 48789 - Click to enlarge]
    Quote Quote  
  4. symlinks should be fine if they work.
    users currently on my ignore list: deadrats, Stears555
    Quote Quote  
  5. Originally Posted by Selur View Post
    symlinks should be fine if they work.
    Thank you. The vapourysynth.conf file is:

    UserPluginDir=/usr/local/lib/vapoursynth
    SystemPluginDir=/usr/local/lib/vapoursynth

    I think that is ok, right? Do you have any idea, then, why some plugins work but those for QTMGC don't?
    Quote Quote  
  6. QTGMC has tons of dependencies
    • havsfunc
    • fmtconv
    • scenechange
    • temporalsoften
    • libmvtools
    • vsznedi3
    • NNEDI3CL
    • EEDI3
    • DFTTest
    • fft3dfilter
    • AddGrain
    • KNLMeansCL
    depending on the settings, no clue why all those plugins shouldn't work for you,...
    Also seeing that you didn't set an separate script dir make sure '/Applications/VÍDEO/Hybrid.app/Contents/MacOS/vsscripts' includes the scripts from https://github.com/Selur/VapoursynthScriptsInHybrid

    Cu Selur
    users currently on my ignore list: deadrats, Stears555
    Quote Quote  
  7. Originally Posted by Selur View Post
    QTGMC has tons of dependencies
    • havsfunc
    • fmtconv
    • scenechange
    • temporalsoften
    • libmvtools
    • vsznedi3
    • NNEDI3CL
    • EEDI3
    • DFTTest
    • fft3dfilter
    • AddGrain
    • KNLMeansCL
    depending on the settings, no clue why all those plugins shouldn't work for you,...
    Also seeing that you didn't set an separate script dir make sure '/Applications/VÍDEO/Hybrid.app/Contents/MacOS/vsscripts' includes the scripts from https://github.com/Selur/VapoursynthScriptsInHybrid

    Cu Selur
    Thank you very much for your help, as THE maker of Hybrid. So, first, I'll try to install all of those dependencies (how, I ain't sure! , but I'll try). Second, I'll try to add those github scripts inside Hybrid.app/etc..., right? After that, I'll come back here.

    -celso
    Quote Quote  
  8. <can't post link> should have all the plugins.
    Since you specified 'UserPluginDir=/usr/local/lib/vapoursynth', you should place the plugins directly into that folder.
    Then either download and move the scripts into '/Applications/VÍDEO/Hybrid.app/Contents/MacOS/vsscripts' or download them into another folder and symlink them to that folder.

    Cu Selur

    Ps.: Since I can't post a link directly to MediaFire, look over at https://forum.doom9.org/showthread.php?t=175522 and use the link under 'Plugins'
    users currently on my ignore list: deadrats, Stears555
    Quote Quote  
  9. I'm a MEGA Super Moderator Baldrick's Avatar
    Join Date
    Aug 2000
    Location
    Sweden
    Search Comp PM
    This is the link: Mediafire link
    Quote Quote  
  10. @Baldrick: Thanks! No clue why I always get a permission denied when trying to post that link to send it in a pm.
    users currently on my ignore list: deadrats, Stears555
    Quote Quote  
  11. I'm a MEGA Super Moderator Baldrick's Avatar
    Join Date
    Aug 2000
    Location
    Sweden
    Search Comp PM
    Use the bbcode link-button and it should work
    https://www.mediafire.com/folder/wvdlnjapm1vvw
    Quote Quote  
  12. https://www.mediafire.com/folder/wvdlnjapm1vvw
    you are right, seem like the problem only occurs if I the url is simply posted and not used inside tags,..
    Thanks for clearing that up. (I'll remember that for the next time I run into this. )

    Cu Selur
    users currently on my ignore list: deadrats, Stears555
    Quote Quote  
  13. Originally Posted by Selur View Post
    <can't post link> should have all the plugins.
    Since you specified 'UserPluginDir=/usr/local/lib/vapoursynth', you should place the plugins directly into that folder.
    Then either download and move the scripts into '/Applications/VÍDEO/Hybrid.app/Contents/MacOS/vsscripts' or download them into another folder and symlink them to that folder.

    Cu Selur

    Ps.: Since I can't post a link directly to MediaFire, look over at https://forum.doom9.org/showthread.php?t=175522 and use the link under 'Plugins'
    Hello,

    I'm installing all that. I've noticed that SETUP for GIFLIB fails because of a wrong directory name, it should be cd giflib-code instead of cd giflib.
    Also, the script for Setup FFmpeg fails:

    cd $HOME/.installs
    git clone https://github.com/ffmpeg/ffmpeg
    git checkout n4.0
    cd ffmpeg
    ./autogen.sh
    ./configure --toolchain=msvc --enable-gpl --enable-version3 --disable-encoders --disable-programs \
    --disable-filters --disable-network --disable-doc --disable-avdevice \
    --disable-postproc --disable-avfilter --enable-avresample
    make
    sudo make install

    The ./autogen.sh fails. From that on, the thing doesn't compile. I have NO idea why (I don't understand any of this), but it seems the command syntax is wrong, perhaps that git checkout n4.0 .
    Quote Quote  
  14. The MediaFire link contains already compiled binaries for the plugins,...
    So:
    What script for ffmpeg?
    Why are you building ffmpeg?
    Ignoring that I think whatever you are doing seems to be wrong: First thing I see that is probably wrong with what you are using ' --toolchain=msvc',.. MSVC = Microsoft Visual C++, which shouldn't be available on mac.

    As a side note: Hybrid does come with ffmpeg and if you want newer ffmpeg binaries for Mac OS you can download them over at: https://evermeet.cx/ffmpeg/

    Cu Selur
    users currently on my ignore list: deadrats, Stears555
    Quote Quote  
  15. Originally Posted by Selur View Post
    The MediaFire link contains already compiled binaries for the plugins,...
    So:
    What script for ffmpeg?
    Why are you building ffmpeg?
    Ignoring that I think whatever you are doing seems to be wrong: First thing I see that is probably wrong with what you are using ' --toolchain=msvc',.. MSVC = Microsoft Visual C++, which shouldn't be available on mac.

    As a side note: Hybrid does come with ffmpeg and if you want newer ffmpeg binaries for Mac OS you can download them over at: https://evermeet.cx/ffmpeg/

    Cu Selur
    Well, I'm "Setting Vapoursynth Framework" according to this user (which I wrongly thought it was you, now I realize): https://forum.doom9.org/showthread.php?p=1844300#post1844300 . It does instruct to do it for Mac Users. I thought I had to do that before downloading all the plugins at Mediafire (which I'm doing), and installing them. I thought all this (also the "Vapoursynth Framework") was part of the same process.
    Quote Quote  
  16. aside from the first post, the other early post are really old and were before the plugins were available to download,..
    users currently on my ignore list: deadrats, Stears555
    Quote Quote  
  17. Originally Posted by Selur View Post
    aside from the first post, the other early post are really old and were before the plugins were available to download,..
    Well, now I did that. I don't know if I screwed up things or not, we'll see. What's a pain is to download all the plugins from https://www.mediafire.com/folder/wvdlnjapm1vvw one by one (I'm not a Premium user). Are they bundled somewhere?
    Quote Quote  
  18. Are they bundled somewhere?
    No clue, you would have to ask l33tmeatwad over at doom9s. Since I don't own a mac for about a year now it feels like ages since I set the whole thing up on my old machine.
    users currently on my ignore list: deadrats, Stears555
    Quote Quote  
  19. Originally Posted by Selur View Post
    Are they bundled somewhere?
    No clue, you would have to ask l33tmeatwad over at doom9s. Since I don't own a mac for about a year now it feels like ages since I set the whole thing up on my old machine.
    Thank you again for your interest and your time. You're being very helpful. But it things fail, please don't abandon me! I'll get back to this thread after I try to set up the whole thing. I've spent DAYS dealing with this!

    -celso
    Quote Quote  
  20. There should be downloader utilities that can download all the contents easily from mediafire or other sites. e.g. jdownloader works for windows for mediafire . There is a mac version but not sure if it's the same

    http://jdownloader.org/download/index

    adware free version
    http://jdownloader.org/jdownloader2
    Quote Quote  
  21. Originally Posted by poisondeathray View Post
    There should be downloader utilities that can download all the contents easily from mediafire or other sites. e.g. jdownloader works for windows for mediafire . There is a mac version but not sure if it's the same
    Thank you, it's finally done! Next time!
    Quote Quote  
  22. Originally Posted by Selur View Post
    <can't post link> should have all the plugins.
    Since you specified 'UserPluginDir=/usr/local/lib/vapoursynth', you should place the plugins directly into that folder.
    Then either download and move the scripts into '/Applications/VÍDEO/Hybrid.app/Contents/MacOS/vsscripts' or download them into another folder and symlink them to that folder.

    Cu Selur

    Ps.: Since I can't post a link directly to MediaFire, look over at https://forum.doom9.org/showthread.php?t=175522 and use the link under 'Plugins'
    Hello,

    I downloaded all those plugins at Mediafire and placed them directly in the vapoursynth folder.
    I added all those scripts directly to Contents... etc. inside Hybrid.app .

    Now the error is this:

    SCRIPT:
    # Imports
    import os
    import sys
    import vapoursynth as vs
    core = vs.get_core()
    # Import scripts folder
    scriptPath = '/Applications/VÍDEO/Hybrid.app/Contents/MacOS/vsscripts'
    sys.path.append(os.path.abspath(scriptPath))
    # Import scripts
    import havsfunc
    # Loading /Users/xxxxUSER&PATHxxxx/1-Test.dv using LWLibavSource
    clip = core.lsmas.LWLibavSource(source="/Users/xxxxUSER&PATHxxxx/1-Test.dv", format="YUV420P8", cache=0)
    # making sure input color matrix is set as unspec
    clip = core.resize.Point(clip, matrix_in_s="unspec",range_s="limited")
    # making sure frame rate is set to 25/1
    clip = core.std.AssumeFPS(clip, fpsnum=25, fpsden=1)
    # Setting color range to TV (limited) range.
    clip = core.std.SetFrameProp(clip=clip, prop="_ColorRange", intval=1)
    original = clip
    # setting field order to what QTGMC should assume
    clip = core.std.SetFrameProp(clip=clip, prop="_FieldBased", intval=1)
    # Deinterlacing using QTGMC
    clip = havsfunc.QTGMC(Input=clip, Preset="Medium", TFF=False)
    # adjusting output color from: YUV420P8 to YUV422P10 for ProResModel (i422)
    clip = core.resize.Bicubic(clip=clip, format=vs.YUV422P10, range_s="limited")
    # adjusting for FilterView
    if original.format.id != clip.format.id:
    if (original.format.color_family == vs.RGB and clip.format.color_family != vs.RGB):
    original = core.resize.Bicubic(original, format=clip.format.id, matrix_s="470bg", range_s="limited")
    elif (original.format.color_family == clip.format.color_family):
    original = core.resize.Bicubic(original, format=clip.format.id, range_s="limited")
    else:
    original = core.resize.Bicubic(original, format=clip.format.id, matrix_in_s="470bg", range_s="limited")
    stacked = core.std.StackHorizontal([original,clip])
    # Output
    stacked.set_output()

    ERROR MESSAGE:

    Failed to evaluate the script:
    Python exception: There is no attribute or namespace named mv

    Traceback (most recent call last):
    File "src/cython/vapoursynth.pyx", line 1937, in vapoursynth.vpy_evaluateScript
    File "src/cython/vapoursynth.pyx", line 1938, in vapoursynth.vpy_evaluateScript
    File "/Users/xxxxUSER&PATHxxxx/tempPreviewVapoursynthFile21_51_02_131.vpy", line 23, in <module>
    clip = havsfunc.QTGMC(Input=clip, Preset="Medium", TFF=False)
    File "/Applications/VÍDEO/Hybrid.app/Contents/MacOS/vsscripts/havsfunc.py", line 1014, in QTGMC
    srchSuper = DitherLumaRebuild(srchClip, s0=1, chroma=ChromaMotion).mv.Super(pel=SubPel, sharp=SubPelInterp, hpad=hpad, vpad=vpad, chroma=ChromaMotion)
    File "src/cython/vapoursynth.pyx", line 1221, in vapoursynth.VideoNode.__getattr__
    AttributeError: There is no attribute or namespace named mv

    It has to do with the script havsfunc, right? I copied it to the Python directory. It already was in the Hybrid directory.

    Any hints about this?
    Quote Quote  
  23. Originally Posted by celsoac View Post
    AttributeError: There is no attribute or namespace named mv

    It has to do with the script havsfunc, right? I copied it to the Python directory. It already was in the Hybrid directory.
    mv namespace is for mvtools

    https://github.com/dubhater/vapoursynth-mvtools

    of course you'd need the mac compiled version, but it's in that folder

    https://www.mediafire.com/folder/wvdlnjapm1vvw#77fvg8my3xf71

    some bug fixes in v21 , but you'd need a fresh mac compile
    https://github.com/dubhater/vapoursynth-mvtools/releases
    Quote Quote  
  24. Originally Posted by poisondeathray View Post
    Originally Posted by celsoac View Post
    AttributeError: There is no attribute or namespace named mv

    It has to do with the script havsfunc, right? I copied it to the Python directory. It already was in the Hybrid directory.
    mv namespace is for mvtools

    https://github.com/dubhater/vapoursynth-mvtools

    of course you'd need the mac compiled version, but it's in that folder

    https://www.mediafire.com/folder/wvdlnjapm1vvw#77fvg8my3xf71


    some bug fixes in v21 , but you'd need a fresh mac compile
    https://github.com/dubhater/vapoursynth-mvtools/releases
    Thank you very much. I do have the libmvtools.dylib plugin in the appropriate /usr/local/lib/vapoursynth directory. I downloaded v20 from https://www.mediafire.com/folder/wvdlnjapm1vvw#77fvg8my3xf71

    May it be a matter of file name? (I've just tried overwriting v20 with v19, but same problem).
    Quote Quote  
  25. All plugins placed in the plugins directory (if you've specified it as another location, use that location) should autoload and register the namespace automatically

    kolak had issues with mvtools too, and installed it with brew . Look at posts 11 and on in that mac vapoursynth thread

    Those mvtools versions might not be compiled correctly to autoload
    Quote Quote  
  26. Also loading it manually if it won't autoload

    core.std.LoadPlugin("/path/to/libmvtools.dylib")
    Quote Quote  
  27. Originally Posted by poisondeathray View Post
    Also loading it manually if it won't autoload

    core.std.LoadPlugin("/path/to/libmvtools.dylib")
    Thank you. But,
    - I copied all plugins from vapoursynth also to Vapoursynth.framework, as one of the posts suggested. Nothing.
    - It suggests "installing mvtools with brew". I don't know how to do this. Again, I know very little about all this. I did use brew to install things before, but I don't know what the terminal command is to install mvtools.
    - Also, I don't know how to load libmvtools.dylib manually, as you say. Is that a command for the terminal shell? I've tried that, even from within the vapoursynth plugins directory, and it says "syntax error near unexpected token `libmvtools.dylib´" .
    Quote Quote  
  28. I don't have mac anymore either, and rarely use macs now for anything

    To load it manually you put it in the script . It doesn't really matter where, but as long as you load it before mvtools is called later on for QTGMC

    Code:
    SCRIPT:
    # Imports
    import os
    import sys
    import vapoursynth as vs
    core = vs.get_core()
    
    core.std.LoadPlugin("/path/to/libmvtools.dylib")
    
    # Import scripts folder
    scriptPath = '/Applications/VÍDEO/Hybrid.app/Contents/MacOS/vsscripts'
    sys.path.append(os.path.abspath(scriptPath))
    # Import scripts
    import havsfunc
    
    .
    .
    .
    Quote Quote  
  29. Originally Posted by poisondeathray View Post
    I don't have mac anymore either, and rarely use macs now for anything

    To load it manually you put it in the script . It doesn't really matter where, but as long as you load it before mvtools is called later on for QTGMC

    Code:
    SCRIPT:
    # Imports
    import os
    import sys
    import vapoursynth as vs
    core = vs.get_core()
    
    core.std.LoadPlugin("/path/to/libmvtools.dylib")
    
    # Import scripts folder
    scriptPath = '/Applications/VÍDEO/Hybrid.app/Contents/MacOS/vsscripts'
    sys.path.append(os.path.abspath(scriptPath))
    # Import scripts
    import havsfunc
    
    .
    .
    .
    I understand. I installed VSedit, inserted the line, checked the script. Hybrid can't load libmvtools.dylib. This is the error:

    Traceback (most recent call last):
    File "src/cython/vapoursynth.pyx", line 1937, in vapoursynth.vpy_evaluateScript
    File "src/cython/vapoursynth.pyx", line 1938, in vapoursynth.vpy_evaluateScript
    File "/PATH/tempPreviewVapoursynthFile01_15_54_503.vpy", line 6, in
    # Import scripts folder
    File "src/cython/vapoursynth.pyx", line 1843, in vapoursynth.Function.__call__
    vapoursynth.Error: Failed to load /usr/local/lib/vapoursynth/libmvtools.dylib. Error given: dlopen(/usr/local/lib/vapoursynth/libmvtools.dylib, 1): Library not loaded: @loader_path/../libfftw3f.3.dylib
    Referenced from: /usr/local/lib/vapoursynth/libmvtools.dylib
    Reason: image not found


    Isn't libfftw3f.3.dylib loaded either? How can I install either/both , with brew? Or, how to compile a dylib? Thanks again.
    Quote Quote  
  30. Originally Posted by celsoac View Post

    Isn't libfftw3f.3.dylib loaded either? How can I install either/both , with brew? Or, how to compile a dylib? Thanks again.
    1): Library not loaded: @loader_path/../libfftw3f.3.dylib
    It says libfftw3f.3.dylib not loaded . And it's a prerequisite as indicated in post 18 in that thread

    I just checked and it also needs FFTW3 as well, sorry about that, in the process of getting all these up all in one day I missed marking those two. The easy way to fix would be to downloaded the provided dependencies and place them in the libraries folder (either through the shortcuts on the desktop or by browsing to /Library/Frameworks/VapourSynth.framework/lib). Having both of those should fix the issue.
    https://forum.doom9.org/showthread.php?p=1844578#post1844578

    It's in the dependencies folder
    https://www.mediafire.com/folder/wvdlnjapm1vvw#9iuigreunnq6i



    Not sure how to use brew or compile a dylib

    You should register at doom9 forum if you haven't already, because it takes a few days to get approoved . Not many mac users of vapoursynth, and they all probably visit there
    Quote Quote  



Similar Threads